#include "testlib.h"
#include <iostream>

using namespace std;

int main(int argc, char * argv[]){
    registerValidation(argc, argv);
    int group = atoi(validator.group().c_str());
    if (group == 0) group = 1;
    ensure (group == 1 || group == 2);
    int nmax = 100;
    if (group == 2) nmax = 100000;
    int n = inf.readInt(1, nmax, "n");
    inf.readEoln();
    inf.readInt(0, 1000, "k");
    inf.readEoln();
    for (int i = 0; i < n; i++) {
       inf.readInt(1, 1000);
       inf.readEoln();
    }
    inf.readEof();  
}
